From 751a018a431595b0745e864a578bfb0db6a76bc6 Mon Sep 17 00:00:00 2001
From: speech_asr <wucong.lyb@alibaba-inc.com>
Date: 星期一, 15 一月 2024 17:12:58 +0800
Subject: [PATCH] update run_server.sh
---
runtime/run_server.sh | 11 ++++++-----
1 files changed, 6 insertions(+), 5 deletions(-)
diff --git a/runtime/run_server.sh b/runtime/run_server.sh
index aa33f0f..4e58464 100644
--- a/runtime/run_server.sh
+++ b/runtime/run_server.sh
@@ -2,20 +2,21 @@
download_model_dir="/workspace/models"
model_dir="damo/speech_paraformer-large_asr_nat-zh-cn-16k-common-vocab8404-onnx"
vad_dir="damo/speech_fsmn_vad_zh-cn-16k-common-onnx"
-punc_dir="damo/punc_ct-transformer_cn-en-common-vocab471067-large-onnx"
-itn_dir="thuduj12/fst_itn_zh"
-lm_dir="damo/speech_ngram_lm_zh-cn-ai-wesp-fst"
+punc_dir=""
+itn_dir=""
+lm_dir=""
port=10095
certfile="../../../ssl_key/server.crt"
keyfile="../../../ssl_key/server.key"
hotword="../../hotwords.txt"
# set decoder_thread_num
decoder_thread_num=$(cat /proc/cpuinfo | grep "processor"|wc -l) || { echo "Get cpuinfo failed. Set decoder_thread_num = 32"; decoder_thread_num=32; }
+decoder_thread_num=8
multiple_io=16
io_thread_num=$(( (decoder_thread_num + multiple_io - 1) / multiple_io ))
-model_thread_num=1
+model_thread_num=5
-. ../egs/aishell/transformer/utils/parse_options.sh || exit 1;
+. ./tools/utils/parse_options.sh || exit 1;
if [ -z "$certfile" ] || [ "$certfile" = "0" ]; then
certfile=""
--
Gitblit v1.9.1